<?php
   /*
   Plugin Name: Load Random Post
   Plugin URI: http://appsoln.com/LoadRandomPost
   description: Load random post on any page by using short-code
   Version: 1.0
   Author: AppSoln Technology
   Author URI: http://appsoln.com
   License: GPL2
   */
?>
<?php
/*
Random Post Picker
Use on page to send viewer to random post optionally mod query
*/

// set arguments for WP_Query on published posts to get 1 at random
function load_random_post($atts = array(), $content = null, $tag){
$args = array(
    'post_type' => $atts['post_type'],
    'post_status' => 'publish',
    'posts_per_page' => 1,
    'orderby' => 'rand'
);

// It's time! Go someplace random
$my_random_post = new WP_Query ( $args );

while ( $my_random_post->have_posts () ) {
  $my_random_post->the_post ();

  // redirect to the random post
  wp_redirect ( get_permalink () );
  exit;
}
?>
<?php
}
add_shortcode('RandomPost', 'load_random_post');
?>